/* ====================================
	head__area
==================================== */
.head__area {
    background-image: url("/calendar/head__area--title-calendar.png");
}

/* ====================================
	selector
==================================== */
.selector__area {
    display: flex;
    width: 100%;
}

.selector__date {
    max-width: 500px;
    width: 100%;
}

.selector__date--slider {
    opacity: 0;
}

.selector__date--slider.slick-initialized {
    opacity: 1.0;
}

.selector__cosme {
    max-width: calc(100% - 500px);
    width: 100%;
}

@media only screen and (max-width: 1020px) {
    .selector__date {
        max-width: 300px;
    }

    .selector__cosme {
        max-width: calc(100% - 300px);
    }
}

@media only screen and (max-width: 768px) {
    .selector__area {
        display: block;
    }

    .selector__date {
        max-width: none;
    }

    .selector__cosme {
        max-width: none;
        padding: 0 20px;
    }
}


/* ====================================
	selector__date--table
==================================== */
.selector__date--table {
    max-width: 500px;
    width: 100%;
    margin: 0 auto;
}

.selector__date--table caption {
    margin: 0 0 30px 0;
}

.selector__date--table caption span {
    display: inline-block;
    padding: 0 7px;
}

.selector__date--table caption span:nth-child(1) {
    font-size: 2.0rem;
}

.selector__date--table caption span:nth-child(1)::after {
    content: ".";
}

.selector__date--table caption span:nth-child(2) {
    font-size: 3.6rem;
}

.selector__date--table caption span:nth-child(3) {
    font-size: 2.0rem;
}

.selector__date--table th,
.selector__date--table td {
    text-align: center;
    width: calc(100% / 7);
}

.selector__date--table td {
    line-height: 70px;
    font-weight: bold;
}

.selector__date--table th:first-child {
    color: #D98989;
}

.selector__date--table th:last-child {
    color: #5694BA;
}

.selector__date--table td.active {
    cursor: pointer;
}


.selector__date--table td.active-event {
    position: relative;
    color: rgba(127, 190, 171, 1.0);
}

.selector__date--table td.active-event::before {
    position: absolute;
    top: 5px;
    left: 5px;
    content: "●";
    color: rgba(127, 190, 171, 1.0);
    font-size: 1.4rem;
    line-height: 1;
}

.selector__date--table td.active-cosme {
    background-image: url("/calendar/calendar_leaf.png");
    background-repeat: no-repeat;
    background-size: 40px;
    background-position: center center;
    color: #ffffff;
}

.selector__date--slider .prev-arrow,
.selector__date--slider .next-arrow {
    position: absolute;
    width: 24px;
    top: 10px;
    z-index: 2;
}

.selector__date--slider .prev-arrow {
    left: 20px;
}

.selector__date--slider .next-arrow {
    right: 20px;
}

@media only screen and (max-width: 768px) {
    .selector__date--table td.active {
        background-size: 30px;
    }
}

/* ====================================
	selector__cosme--slider
==================================== */
.selector__cosme--slider {
    margin: 0 0 0 100px;
    opacity: 0;
}

.selector__cosme--slider.slick-initialized {
    opacity: 1.0;
}

.selector__cosme--slider li {
    border-radius: 10px;
    overflow: hidden;
    border: 1px solid rgba(127, 190, 171, 1.0);
    margin: 0 10px;
    width: 400px;
}

.selector__cosme--slider li img {
    display: inline-block;
    text-align: center;
    margin: 0 auto 20px auto;
}

.selector__cosme--slider li img {
    margin: 0 0 20px 0;
}

.selector__cosme--slider .img-container {
    position: relative;
    width: 100%;
    height: 100%;
    max-width: 400px;
    max-height: 400px;
    display: flex;
    box-sizing: border-box;
}

.selector__cosme--slider .img-container img {
    max-width: 360px;
    max-height: 360px;
    width: auto;
    height: auto;
    margin: auto;
}

.selector__cosme--slider li .date {
    background-color: rgba(127, 190, 171, 1.0);
    text-align: center;
    color: #ffffff;
    font-size: 1.8rem;
    padding: 20px 0;
}

.selector__cosme--slider li div {
    padding: 0 20px 20px 20px;
}

.selector__cosme--slider li h2 {
    margin: 0 0 10px 0;
    font-size: 1.8rem;
}

.selector__cosme--slider li h2::before {
    content: "■";
    color: rgba(127, 190, 171, 1.0);
}

.selector__cosme--slider li h3 {
    margin: 0 0 10px 0;
    font-size: 1.6rem;
}

.selector__cosme--slider li p {
    margin: 0 0 0 0;
}

.selector__cosme--slider .prev-arrow,
.selector__cosme--slider .next-arrow {
    position: absolute;
    width: 48px;
    top: 0;
    bottom: 0;
    z-index: 2;
    margin: auto;
}

.selector__cosme--slider .prev-arrow {
    left: -60px;
}

.selector__cosme--slider .next-arrow {
    right: -60px;
}


@media only screen and (max-width: 1140px) {

    .selector__cosme--slider .img-container {
        position: relative;
        width: 100%;
        height: 100%;
        max-width: 100%;
        max-height: 100%;
        display: flex;
        margin-bottom: 10px;
    }

    .selector__cosme--slider .img-container img {
        max-width: 100%;
        max-height: 270px;
        width: auto;
        height: auto;
        margin: auto;
    }
}

@media only screen and (max-width: 768px) {
    .selector__cosme--slider {
        margin: 0 0 0 0;
    }

    .selector__cosme--slider .prev-arrow,
    .selector__cosme--slider .next-arrow {
        width: 24px;
    }

    .selector__cosme--slider .prev-arrow {
        left: -25px;
    }

    .selector__cosme--slider .next-arrow {
        right: -25px;
    }



    .selector__cosme--slider li {
        width: 100%;
        height: auto;
    }

    .selector__cosme--slider li img {
        width: 100%;
        height: 275px;
    }


}

/* ====================================
	result__area
==================================== */
.result__area {
    max-width: 1220px;
    margin: 0 auto;
}

/* ====================================
	result__area--date
==================================== */
.result__area--date {
    display: none;
    background-color: rgba(127, 190, 171, 1.0);
    text-align: center;
    color: #ffffff;
    font-size: 2.0rem;
    padding: 20px 0;
}

/* ====================================
	result__area--cosme
==================================== */
.result__area--cosme {
    display: none;
    background-color: rgba(127, 190, 171, 0.1);
    padding: 60px 60px;
}

.result__area--cosme h2 {
    font-size: 2.0rem;
    padding: 20px 0;
}

.result__area--cosme h2::before {
    content: "■";
    color: rgba(127, 190, 171, 1.0);
}

.result__area--cosme_flex {
    display: flex;
    flex-wrap: wrap;
    padding: 0 0 30px 0;
    margin: 0 0 30px 0;
    border-bottom: 1px solid rgba(127, 190, 171, 1.0);
}

.result__area--cosme_flex:nth-last-of-type() {
    padding: 0 0 0 0;
    border-bottom: 0 solid rgba(127, 190, 171, 1.0);

}

.result__area--cosme_flex > div {
    position: relative;
    width: calc((100% / 3) - 30px);
    margin: 0 45px 30px 0;
    padding: 0 0 50px 0;
}

.result__area--cosme_flex > div:nth-child(3n) {
    margin: 0 0 30px 0;
}

.result__area--cosme_flex > div img {
    border: 1px solid rgba(127, 190, 171, 1.0);
    border-radius: 10px;
    margin: 0 0 20px 0;
    object-fit: contain;
    width: 340px;
    height: 340px;
    display: inline-block;
    background: #fff;
}

.result__area--cosme_flex > div h3 {
    margin: 0 0 10px 0;
    line-height: 1.2;
    font-weight: 400;
}

.result__area--cosme_flex > div div {
    margin: 0 0 10px 0;
    font-size: 1.4rem;
}

.result__area--cosme_flex > div p {
    margin: 0 0 20px 0;
    font-size: 1.4rem;
    font-weight: 300;
}

.result__area--cosme_flex > div a {
    position: absolute;
    bottom: 0;
    left: 0;
    display: block;
    width: 100%;
    line-height: 40px;
    border-radius: 20px;
    text-align: center;
    background-color: inherit;
    border: 1px solid rgba(127, 190, 171, 1.0);
}

.result__area--cosme_flex > div a span {
    display: inline-block;
    padding: 0 24px 0 0;
    background-image: url(../_common_img/icon_link.svg);
    background-repeat: no-repeat;
    background-size: 24px;
    background-position: right center;
    color: rgba(127, 190, 171, 1.0);
}

@media only screen and (max-width: 1140px) {
    .result__area--cosme_flex > div img {
        width: 100%;
        height: 300px;
    }
}

@media only screen and (max-width: 768px) {
    .result__area--cosme {
        padding: 30px 20px;
    }

    .result__area--cosme_flex > div {
        width: calc((100% / 2) - 10px);
        margin: 0 20px 0 0;
        padding: 0 0 20px 0;
    }

    .result__area--cosme_flex > div:nth-child(3n) {
        margin: 0 20px 0 0;
    }

    .result__area--cosme_flex > div:nth-child(2n) {
        margin: 0 0 0 0;
    }

    .result__area--cosme_flex > div a {
        font-size: 1.4rem;
    }

    .result__area--cosme_flex > div a span {
        padding: 0 12px 0 0;
        background-size: 12px;
    }

    .result__area--cosme_flex h3 {
        font-size: 1.6rem;
        line-height: 1.5 !important;
    }

    .slick-slide h3 {
        font-size: 1.6rem;
        line-height: 1.5 !important;
    }

    .result__area--cosme_flex > div img {
        width: 100%;
        height: 200px;
    }
}


/* ====================================
	result__area--event
==================================== */
.result__area--event {
    display: none;
    background-color: rgba(127, 190, 171, 0.0);
    padding: 60px 60px;
}

.result__area--event h2 {
    font-size: 2.0rem;
    padding: 20px 0;
}

.result__area--event h2::before {
    content: "■";
    color: rgba(127, 190, 171, 1.0);
}

.result__area--event_flex {
    display: flex;
    flex-wrap: wrap;
    padding: 0 0 30px 0;
    margin: 0 0 30px 0;
}

.result__area--event_flex > div {
    width: calc((100% / 3) - 30px);
    margin: 0 45px 30px 0;
}

.result__area--event_flex > div:nth-child(3n) {
    margin: 0 0 30px 0;
}

.result__area--event_flex > div img {
    border: 1px solid rgba(127, 190, 171, 1.0);
    border-radius: 15px;
    margin: 0 0 20px 0;
}

.result__area--event_flex > div h3 {
    margin: 0 0 10px 0;
    line-height: 1.2;
}

.result__area--event_flex > div p {
    font-size: 1.4rem;
}

@media only screen and (max-width: 768px) {
    .result__area--event {
        padding: 30px 20px;
    }

    .result__area--event_flex > div {
        width: calc((100% / 2) - 10px);
        margin: 0 20px 30px 0;
    }

    .result__area--event_flex > div:nth-child(3n) {
        margin: 0 20px 30px 0;
    }

    .result__area--event_flex > div:nth-child(2n) {
        margin: 0 0 30px 0;
    }

    div.blank {
        height: 0;
    }
}
